phing-tasks-ext-phpdoc

# Class: PhpDocumentorTask Source Location: /tasks/ext/phpdoc/PhpDocumentorTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PhpDocumentorTask
Task to run PhpDocumentor. #### Author(s): Michiel Rook <michiel.rook@gmail.com> Hans Lellelid <hans@xmpl.org> #### Version: $Id: PhpDocumentorTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $configDir $customtags $defaultCategoryName $defaultPackageName $destdir $examplesDir $filesets $ignoreTags $javadocDesc $linksource $output $packages $parsePrivate $pear $projDocFilesets $quiet $templateBase $title $undocumentedelements | ### Methods createFileset createProjdocfileset findPhpDocumentorInstall init main setConfigdir setCustomtags setDefaultcategoryname setDefaultpackagename setDestdir setExamplesdir setIgnoretags setJavadocdesc setLinksource setOutput setPackageoutput setParseprivate setPear setPhpDocumentorOptions setQuiet setSourcecode setTarget setTemplateBase setTitle setUndocumentedelements validate
### Child classes: PhpDocumentorExternalTask Task to run phpDocumentor with an external process | ### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 33] Task to run PhpDocumentor. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
author: | Hans Lellelid <hans@xmpl.org>
version: | $Id: PhpDocumentorTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $configDir = [line 114] #### Tags:
var: | Directory in which to look for configuration files.
access: | protected
Type: | PhingFile
[ Top ] #### $customtags = '' [line 132] #### Tags:
var: | custom tags, will be recognized and put in tags[] instead of unknowntags[].
access: | protected
Type: | string
[ Top ] #### $defaultCategoryName = [line 104] #### Tags:
var: | Default category name.
access: | protected
Type: | string
[ Top ] #### $defaultPackageName = [line 99] #### Tags:
var: | Default package name.
access: | protected
Type: | string
[ Top ] #### $destdir = [line 44] #### Tags:
var: | The target directory for output files.
access: | protected
Type: | PhingFile
[ Top ] #### $examplesDir = [line 109] #### Tags:
var: | Directory in which to look for examples.
access: | protected
Type: | PhingFile
[ Top ] #### $filesets = array() [line 49] #### Tags:
var: | FileSet[] Filesets for files to parse.
access: | protected
Type: | array
[ Top ] #### $ignoreTags = [line 94] #### Tags:
var: | Comma-separated list of tags to ignore.
access: | protected
Type: | string
[ Top ] #### $javadocDesc = false [line 74] #### Tags:
var: | Whether to use javadoc descriptions (more primitive).
access: | protected
Type: | boolean
[ Top ] #### $linksource = false [line 64] #### Tags:
var: | Whether to generate sourcecode for each file parsed.
access: | protected
Type: | boolean
[ Top ] #### $output = [line 59] #### Tags:
var: | Package output format.
access: | protected
Type: | string
[ Top ] #### $packages = [line 89] #### Tags:
var: | Comma-separated list of packages to output.
access: | protected
Type: | string
[ Top ] #### $parsePrivate = false [line 69] #### Tags:
var: | Whether to parse private members.
access: | protected
Type: | boolean
[ Top ] #### $pear = false [line 119] #### Tags:
var: | Whether to parse as a PEAR repository.
access: | protected
Type: | boolean
[ Top ] #### $projDocFilesets = array() [line 54] #### Tags:
var: | FileSet[] Project documentation (README/INSTALL/CHANGELOG) files.
access: | protected
Type: | array
[ Top ] #### $quiet = false [line 84] #### Tags:
var: | Wheter to suppress output.
access: | protected
Type: | boolean
[ Top ] #### $templateBase = [line 79] #### Tags:
var: | Base directory for locating template files.
access: | protected
Type: | PhingFile
[ Top ] #### $title = [line 39] #### Tags:
var: | Title for browser window / package index.
access: | protected
Type: | string
[ Top ] #### $undocumentedelements = false [line 126] #### Tags:
var: | Control whether or not warnings will be shown for undocumented elements. Useful for identifying classes and methods that haven't yet been documented.
access: | protected
Type: | boolean
[ Top ] ### Class Methods ### method createFileset [line 266]
`FileSet createFileset( )`
Creates a FileSet. #### Tags:
access: | public
[ Top ] ### method createProjdocfileset [line 275]
`FileSet createProjdocfileset( )`
Creates a readme/install/changelog fileset. #### Tags:
access: | public
[ Top ] ### method findPhpDocumentorInstall [line 313]
`void findPhpDocumentorInstall( )`
Searches include_path for PhpDocumentor install and adjusts include_path appropriately. #### Tags:
throws: | BuildException - if unable to find PhpDocumentor on include_path
access: | protected
[ Top ] ### method init [line 339]
`void init( )`
Load the necessary environment for running PhpDoc. #### Tags:
throws: | BuildException - if the phpdoc classes can't be loaded.
access: | public
Overridden in child classes as: PhpDocumentorExternalTask::init() Override PhpDocumentorTask::init() because they're specific to the phpdoc API which we don't use. Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 348]
`void main( )`
Main entrypoint of the task Overridden in child classes as: PhpDocumentorExternalTask::main() Main entrypoint of the task Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setConfigdir [line 234]
`void setConfigdir( $d)`
Set a directory to search for configuration files in. #### Tags:
access: | public
#### Parameters:
PhingFile | $d |
[ Top ] ### method setCustomtags [line 296]
`void setCustomtags( string $sCustomtags)`
custom tags, will be recognized and put in tags[] instead of unknowntags[]. #### Tags:
access: | public
#### Parameters:
string | $sCustomtags |
[ Top ] ### method setDefaultcategoryname [line 250]
`void setDefaultcategoryname( string $name)`
Sets the default category name. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setDefaultpackagename [line 242]
`void setDefaultpackagename( string $name)`
Sets the default package name. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setDestdir [line 144]
`void setDestdir( $destdir)`
Set the destination directory for the generated documentation #### Tags:
access: | public
#### Parameters:
PhingFile | $destdir |
[ Top ] ### method setExamplesdir [line 226]
`void setExamplesdir( $d)`
Set a directory to search for examples in. #### Tags:
access: | public
#### Parameters:
PhingFile | $d |
[ Top ] ### method setIgnoretags [line 218]
`void setIgnoretags( string $tags)`
Set (comma-separated) list of tags to ignore. #### Tags:
access: | public
#### Parameters:
string | $tags |
[ Top ] ### method setJavadocdesc [line 200]
`void setJavadocdesc( boolean $javadoc)`
Whether to use javadoc descriptions (more primitive). #### Tags:
access: | public
#### Parameters:
boolean | $javadoc |
[ Top ] ### method setLinksource [line 176]
`void setLinksource( boolean $b)`
Set whether to generate sourcecode for each file parsed #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method setOutput [line 160]
`void setOutput( string $output)`
Set the output format (e.g. HTML:Smarty:PHP). #### Tags:
access: | public
#### Parameters:
string | $output |
[ Top ] ### method setPackageoutput [line 209]
`void setPackageoutput( string $packages)`
Set (comma-separated) list of packages to output. #### Tags:
access: | public
#### Parameters:
string | $packages |
[ Top ] ### method setParseprivate [line 192]
`void setParseprivate( boolean $parseprivate)`
Should private members/classes be documented #### Tags:
access: | public
#### Parameters:
boolean | $parseprivate |
[ Top ] ### method setPear [line 258]
`void setPear( boolean $b)`
Set whether to parse as PEAR repository. #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method setPhpDocumentorOptions [line 380]
`void setPhpDocumentorOptions( PhingPhpDocumentorSetup $phpdoc)`
Sets the options on the passed-in phpdoc setup object. #### Tags:
access: | protected
#### Parameters:
PhingPhpDocumentorSetup | $phpdoc |
[ Top ] ### method setQuiet [line 184]
`void setQuiet( boolean $b)`
Set whether to suppress output. #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method setSourcecode [line 168]
`void setSourcecode( boolean $b)`
Set whether to generate sourcecode for each file parsed #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method setTarget [line 152]
`void setTarget( $destdir)`
Alias for setDestdir()). #### Tags:
see: | PhpDocumentorTask::setDestdir()
access: | public
#### Parameters:
PhingFile | $destdir |
[ Top ] ### method setTemplateBase [line 305]
`void setTemplateBase( $oTemplateBase, PhingFile $destdir)`
Set base location of all templates for this parse. #### Tags:
access: | public
#### Parameters:
PhingFile | $destdir |
PhingFile | $oTemplateBase |
[ Top ] ### method setTitle [line 137]
`void setTitle( $title)`
Set the title for the generated documentation #### Tags:
access: | public
#### Parameters:
| $title |
[ Top ] ### method setUndocumentedelements [line 286]
`void setUndocumentedelements( boolean $b)`
Control whether or not warnings will be shown for undocumented elements. Useful for identifying classes and methods that haven't yet been documented. #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method validate [line 363]
`void validate( )`
Validates that necessary minimum options have been set. #### Tags:
throws: | BuildException if validation doesn't pass
access: | protected
Overridden in child classes as: PhpDocumentorExternalTask::validate() Validates that necessary minimum options have been set. Based on PhpDocumentorTask::validate(). [ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:40 +0200 by phpDocumentor 1.4.3